{% macro printOpeningHourRow(opening_hour) %}
  <div class="js-opening_hour-item">
    <div id="App_calendar_opening_hours___name__">
      {{ form_row(opening_hour.name) }}
      <div class="row">
        <div class="col-6">
          {{ form_row(opening_hour.start_date) }}
          {{ form_row(opening_hour.begin_hour) }}
        </div>
        <div class="col-6">
          {{ form_row(opening_hour.end_date) }}
          {{ form_row(opening_hour.end_hour) }}
        </div>
      </div>
      {{ form_row(opening_hour.days_of_week) }}
      <div class="row">
        <div class="col-12">
          {{ form_row(opening_hour.is_moderated) }}
        </div>
      </div>
      <div class="row">
        <div class="col-4">
          {{ form_row(opening_hour.meeting_queue) }}
        </div>
        <div class="col-4">
          {{ form_row(opening_hour.meeting_minutes) }}
        </div>
        <div class="col-4">
          {{ form_row(opening_hour.interval_minutes) }}
        </div>
      </div>
      <div class="form-row float-right">
        <div class="form-group">
          <a class="btn btn-danger btn-xs js-remove-opening_hour" href="#">
            <svg class="icon icon-sm icon-white">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-delete"></use>
            </svg>
            <span>{{ "calendars.opening_hours.remove" | trans }}</span>
          </a>
        </div>
      </div>
      <div class="clearfix mb-4"></div>
    </div>
  </div>
{% endmacro %}
{% import _self as formMacros %}
<label style="font-weight: 600; padding: 0 0.5rem;">{{ "calendars.opening_hours.opening_hours" | trans }}</label>
<fieldset class="bg-light p-3 mb-3">
  <div id="opening_hours"
       data-prototype="{{ formMacros.printOpeningHourRow(form.opening_hours.vars.prototype)|e('html_attr') }}"
       data-widget-opening_hour="{{ '<div class="js-opening_hour-item"></div>'|e }}"
       data-widget-counter="{{ form.opening_hours|length }}">
    {% if form.opening_hours|length > 0 %}
      {% for opening_hour in form.opening_hours %}
        {{ formMacros.printOpeningHourRow(opening_hour) }}
      {% endfor %}
    {% else %}
      <div class="alert alert-info" id="no-opening_hours">{{ "calendars.opening_hours.no_opening_hours" | trans }}</div>
    {% endif %}
  </div>
  <button type="button"
          class="add-another-opening_hour-widget btn btn-xs btn-primary"
          class="add-another-opening_hour-widget btn btn-xs btn-primary"
          data-list-selector="#opening_hours">{{ "calendars.opening_hours.add" | trans }}
  </button>
</fieldset>

